Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002742opensim[REGION] OpenSim Corepublic2008-12-01 17:332015-12-30 23:54
Reportergreg0254 
Assigned To 
PrioritynormalSeverityminorReproducibilityrandom
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0002742: 'Connection must be valid and open' message appearing sporadically in console when storing prims
DescriptionWhen storing prims, i am seeing the following message show up throughout the opensim console:

20:13:23 - [SCENE]: Storing of MyObject, dc0d26aa-12b1-4de7-8bee-42ec848997f0 in MyRegion failed with exception System.InvalidOperationException: Connection must be valid and open

It does not happen on every store, and as far as I can tell it does not actually seem to affect the storing of the object itself, but thought I would report it anyway.

I am running on Windows Vista, and have not seen this error message prior to revision 7577 (the last one I was running was 7546).
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
Environment.NET / Windows32
Mono VersionNone
Viewer
Attached Files

- Relationships
related to 0007794resolvedUbitUmarov MySQL connection in FSAssets times out after a few hours causing asset read / write failures. 

-  Notes
(0007497)
Teravus (administrator)
2008-12-01 17:35
edited on: 2008-12-01 17:35

whoops, someone forgot an Open() in the programming of the database connections.
On Linux it opens automatically, on Windows, it does not!

(0007498)
greg0254 (reporter)
2008-12-01 18:41

This seems to be a very random thing for me as to when and how often it happens. I was seeing it happen constantly after I first switched to 7577. After shutting down and restarting the server, it was happening much less, but still popping up nonetheless.

I discovered one serious conseequence of this after getting this message when I tried rezzing some objects in world. The objects rezzed with no problem, but they did not persist across restarts. After shutting down and restarting, the objects were gone.
(0007502)
greg0254 (reporter)
2008-12-02 04:52

Here is some sample debug output from the log (I should have included this before):

2008-12-01 18:11:46,676 ERROR - OpenSim.Region.Environment.Scenes.SceneObjectGroup [SCENE]: Storing of Willow tree (with whisps), 403567e3-32a0-42b3-b5ad-c54cd284d492 in Goldenrod failed with exception System.InvalidOperationException: Connection must be valid and open
   at MySql.Data.MySqlClient.MySqlCommand.CheckState()
   at MySql.Data.MySqlClient.MySqlCommand.ExecuteReader(CommandBehavior behavior)
   at MySql.Data.MySqlClient.MySqlCommand.ExecuteNonQuery()
   at OpenSim.Data.MySQL.MySQLDataStore.ExecuteNonQuery(MySqlCommand c) in f:\OpenSim\open7577\OpenSim\Data\MySQL\MySQLRegionData.cs:line 121
   at OpenSim.Data.MySQL.MySQLDataStore.StoreObject(SceneObjectGroup obj, UUID regionUUID) in f:\OpenSim\open7577\OpenSim\Data\MySQL\MySQLRegionData.cs:line 234
   at OpenSim.Region.Environment.Scenes.SceneObjectGroup.ProcessBackup(IRegionDataStore datastore) in f:\OpenSim\open7577\OpenSim\Region\Environment\Scenes\SceneObjectGroup.cs:line 1255
       at MySql.Data.MySqlClient.MySqlCommand.CheckState()
   at MySql.Data.MySqlClient.MySqlCommand.ExecuteReader(CommandBehavior behavior)
   at MySql.Data.MySqlClient.MySqlCommand.ExecuteNonQuery()
   at OpenSim.Data.MySQL.MySQLDataStore.ExecuteNonQuery(MySqlCommand c) in f:\OpenSim\open7577\OpenSim\Data\MySQL\MySQLRegionData.cs:line 121
   at OpenSim.Data.MySQL.MySQLDataStore.StoreObject(SceneObjectGroup obj, UUID regionUUID) in f:\OpenSim\open7577\OpenSim\Data\MySQL\MySQLRegionData.cs:line 234
   at OpenSim.Region.Environment.Scenes.SceneObjectGroup.ProcessBackup(IRegionDataStore datastore) in f:\OpenSim\open7577\OpenSim\Region\Environment\Scenes\SceneObjectGroup.cs:line 1255
2008-12-01 18:11:46,679 DEBUG - OpenSim.Region.Environment.Scenes.SceneObjectGroup [SCENE]: Storing Willow tree (with whisps), 70c5099f-aa8a-496e-8bb3-c76cfb408dc3 in Goldenrod
2008-12-01 18:11:46,681 ERROR - OpenSim.Region.Environment.Scenes.SceneObjectGroup [SCENE]: Storing of Willow tree (with whisps), 70c5099f-aa8a-496e-8bb3-c76cfb408dc3 in Goldenrod failed with exception System.InvalidOperationException: Connection must be valid and open
   at MySql.Data.MySqlClient.MySqlCommand.CheckState()
   at MySql.Data.MySqlClient.MySqlCommand.ExecuteReader(CommandBehavior behavior)
   at MySql.Data.MySqlClient.MySqlCommand.ExecuteNonQuery()
   at OpenSim.Data.MySQL.MySQLDataStore.ExecuteNonQuery(MySqlCommand c) in f:\OpenSim\open7577\OpenSim\Data\MySQL\MySQLRegionData.cs:line 121
   at OpenSim.Data.MySQL.MySQLDataStore.StoreObject(SceneObjectGroup obj, UUID regionUUID) in f:\OpenSim\open7577\OpenSim\Data\MySQL\MySQLRegionData.cs:line 234
   at OpenSim.Region.Environment.Scenes.SceneObjectGroup.ProcessBackup(IRegionDataStore datastore) in f:\OpenSim\open7577\OpenSim\Region\Environment\Scenes\SceneObjectGroup.cs:line 1255
       at MySql.Data.MySqlClient.MySqlCommand.CheckState()
   at MySql.Data.MySqlClient.MySqlCommand.ExecuteReader(CommandBehavior behavior)
   at MySql.Data.MySqlClient.MySqlCommand.ExecuteNonQuery()
   at OpenSim.Data.MySQL.MySQLDataStore.ExecuteNonQuery(MySqlCommand c) in f:\OpenSim\open7577\OpenSim\Data\MySQL\MySQLRegionData.cs:line 121
   at OpenSim.Data.MySQL.MySQLDataStore.StoreObject(SceneObjectGroup obj, UUID regionUUID) in f:\OpenSim\open7577\OpenSim\Data\MySQL\MySQLRegionData.cs:line 234
   at OpenSim.Region.Environment.Scenes.SceneObjectGroup.ProcessBackup(IRegionDataStore datastore) in f:\OpenSim\open7577\OpenSim\Region\Environment\Scenes\SceneObjectGroup.cs:line 1255
(0007503)
greg0254 (reporter)
2008-12-02 05:37

Since updating to release 7582, I have only receive this message once so far, and here is the log output:

2008-12-02 08:14:01,803 ERROR - OpenSim.Region.Environment.Scenes.SceneObjectGroup [SCENE]: Storing of Carousel, e7f96b80-fc88-4ae2-8894-7d70003fd6d4 in Audobon failed with exception System.InvalidOperationException: Connection must be valid and open
   at MySql.Data.MySqlClient.MySqlCommand.CheckState()
   at MySql.Data.MySqlClient.MySqlCommand.ExecuteReader(CommandBehavior behavior)
   at MySql.Data.MySqlClient.MySqlCommand.ExecuteNonQuery()
   at OpenSim.Data.MySQL.MySQLDataStore.ExecuteNonQuery(MySqlCommand c) in f:\OpenSim\open7582\OpenSim\Data\MySQL\MySQLRegionData.cs:line 137
   at OpenSim.Data.MySQL.MySQLDataStore.StoreObject(SceneObjectGroup obj, UUID regionUUID) in f:\OpenSim\open7582\OpenSim\Data\MySQL\MySQLRegionData.cs:line 262
   at OpenSim.Region.Environment.Scenes.SceneObjectGroup.ProcessBackup(IRegionDataStore datastore) in f:\OpenSim\open7582\OpenSim\Region\Environment\Scenes\SceneObjectGroup.cs:line 1255
       at MySql.Data.MySqlClient.MySqlCommand.CheckState()
   at MySql.Data.MySqlClient.MySqlCommand.ExecuteReader(CommandBehavior behavior)
   at MySql.Data.MySqlClient.MySqlCommand.ExecuteNonQuery()
   at OpenSim.Data.MySQL.MySQLDataStore.ExecuteNonQuery(MySqlCommand c) in f:\OpenSim\open7582\OpenSim\Data\MySQL\MySQLRegionData.cs:line 137
   at OpenSim.Data.MySQL.MySQLDataStore.StoreObject(SceneObjectGroup obj, UUID regionUUID) in f:\OpenSim\open7582\OpenSim\Data\MySQL\MySQLRegionData.cs:line 262
   at OpenSim.Region.Environment.Scenes.SceneObjectGroup.ProcessBackup(IRegionDataStore datastore) in f:\OpenSim\open7582\OpenSim\Region\Environment\Scenes\SceneObjectGroup.cs:line 1255
(0013463)
Fly-Man- (developer)
2009-09-18 08:50

This issue was automatically checked by Mantis Issue Check:

Feedback was added after original submit date
(0013504)
greg0254 (reporter)
2009-09-18 23:13

This is no longer an issue and can be closed.
(0013577)
Fly-Man- (developer)
2009-09-19 18:03

Issue creator has checked and marked it Fixed

- Issue History
Date Modified Username Field Change
2008-12-01 17:33 greg0254 New Issue
2008-12-01 17:33 greg0254 SVN Revision => 7577
2008-12-01 17:33 greg0254 Run Mode => Grid (Multiple Regions per Sim)
2008-12-01 17:33 greg0254 Physics Engine => ODE
2008-12-01 17:33 greg0254 Environment => .NET / Windows32
2008-12-01 17:35 Teravus Note Added: 0007497
2008-12-01 17:35 Teravus Note Edited: 0007497
2008-12-01 18:41 greg0254 Note Added: 0007498
2008-12-02 04:52 greg0254 Note Added: 0007502
2008-12-02 05:37 greg0254 Note Added: 0007503
2009-09-18 08:50 Fly-Man- Note Added: 0013463
2009-09-18 08:50 Fly-Man- Status new => feedback
2009-09-18 23:13 greg0254 Note Added: 0013504
2009-09-19 18:03 Fly-Man- Mono Version => None
2009-09-19 18:03 Fly-Man- Status feedback => closed
2009-09-19 18:03 Fly-Man- Note Added: 0013577
2009-09-19 18:03 Fly-Man- Resolution open => fixed
2015-12-30 23:54 Orion Pseudo Relationship added related to 0007794


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker